<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::test::MIMEParserTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html">MIMEParserTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::test::MIMEParserTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::test::MIMEParserTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::avsCommon::test::MIMEParserTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test_coll__map" id="alexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ab4ffddf2a88c596aaf0c6fb119a89148"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#ab4ffddf2a88c596aaf0c6fb119a89148">boundary</a> {&quot;wooohooo&quot;}</td></tr>
<tr class="memdesc:ab4ffddf2a88c596aaf0c6fb119a89148"><td class="mdescLeft">&#160;</td><td class="mdescRight">boundary  <a href="#ab4ffddf2a88c596aaf0c6fb119a89148">More...</a><br /></td></tr>
<tr class="separator:ab4ffddf2a88c596aaf0c6fb119a89148"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32ef73694a87e975fd7d50b6896cb3e0"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a32ef73694a87e975fd7d50b6896cb3e0">payload1</a> {&quot;The quick brown fox jumped over the lazy dog&quot;}</td></tr>
<tr class="memdesc:a32ef73694a87e975fd7d50b6896cb3e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">payloads  <a href="#a32ef73694a87e975fd7d50b6896cb3e0">More...</a><br /></td></tr>
<tr class="separator:a32ef73694a87e975fd7d50b6896cb3e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc63cccf783c7d2dffb877b6f069014a"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#adc63cccf783c7d2dffb877b6f069014a">payload2</a></td></tr>
<tr class="separator:adc63cccf783c7d2dffb877b6f069014a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f8b0a8e0d71cfc5883256a2c3b076f1"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a6f8b0a8e0d71cfc5883256a2c3b076f1">payload3</a></td></tr>
<tr class="separator:a6f8b0a8e0d71cfc5883256a2c3b076f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ff6a83622c690df9327c1623c552a5e"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a7ff6a83622c690df9327c1623c552a5e">key1</a> {&quot;content-type&quot;}</td></tr>
<tr class="separator:a7ff6a83622c690df9327c1623c552a5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ab72b9794089443ad201172b06b52ba"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a9ab72b9794089443ad201172b06b52ba">key2</a> {&quot;content-type&quot;}</td></tr>
<tr class="separator:a9ab72b9794089443ad201172b06b52ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd8c46ae59258c03b69facb5bc092088"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#afd8c46ae59258c03b69facb5bc092088">key3</a> {&quot;xyz-abc&quot;}</td></tr>
<tr class="separator:afd8c46ae59258c03b69facb5bc092088"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb2d0d65716c6f741bc35ef4f1f9dae5"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#abb2d0d65716c6f741bc35ef4f1f9dae5">key4</a> {&quot;holy-cow&quot;}</td></tr>
<tr class="separator:abb2d0d65716c6f741bc35ef4f1f9dae5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2db60929fadfce737e4fe8e3b9dd8202"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a2db60929fadfce737e4fe8e3b9dd8202">key5</a> {&quot;x-amzn-id&quot;}</td></tr>
<tr class="separator:a2db60929fadfce737e4fe8e3b9dd8202"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a61f0ee5ed4eb4d31db45edc54f8e62"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a8a61f0ee5ed4eb4d31db45edc54f8e62">value1</a> {&quot;plain/text&quot;}</td></tr>
<tr class="separator:a8a61f0ee5ed4eb4d31db45edc54f8e62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57ca7aad2ecac42322df6c6657f4183e"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a57ca7aad2ecac42322df6c6657f4183e">value2</a> {&quot;application/xml&quot;}</td></tr>
<tr class="separator:a57ca7aad2ecac42322df6c6657f4183e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e3343e5260a8a0f027a4c9a53ea741f"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a2e3343e5260a8a0f027a4c9a53ea741f">value3</a> {&quot;123243124&quot;}</td></tr>
<tr class="separator:a2e3343e5260a8a0f027a4c9a53ea741f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae64d1dfd77c73e02d9d86c2ec755bf13"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#ae64d1dfd77c73e02d9d86c2ec755bf13">value4</a> {&quot;tellmehow&quot;}</td></tr>
<tr class="separator:ae64d1dfd77c73e02d9d86c2ec755bf13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4511e85726f58806f2ca9ac4fc7475a4"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a4511e85726f58806f2ca9ac4fc7475a4">value5</a> {&quot;eg1782ge71g172ge1&quot;}</td></tr>
<tr class="separator:a4511e85726f58806f2ca9ac4fc7475a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3875aaa301118dec8388cd8e5909f572"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a3875aaa301118dec8388cd8e5909f572">header1</a> {<a class="el" href="_m_i_m_e_parser_test_8cpp.html#a58f415e9b33e78373d5f96382ea799a5">BUILD_HEADER</a>(1)}</td></tr>
<tr class="separator:a3875aaa301118dec8388cd8e5909f572"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a011f78c87d2fa18a4df369296689e8e1"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a011f78c87d2fa18a4df369296689e8e1">header2</a> {<a class="el" href="_m_i_m_e_parser_test_8cpp.html#a58f415e9b33e78373d5f96382ea799a5">BUILD_HEADER</a>(2)}</td></tr>
<tr class="separator:a011f78c87d2fa18a4df369296689e8e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaebc34bea87a9681d0afdec9290bd7a0"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#aaebc34bea87a9681d0afdec9290bd7a0">header3</a> {<a class="el" href="_m_i_m_e_parser_test_8cpp.html#a58f415e9b33e78373d5f96382ea799a5">BUILD_HEADER</a>(3)}</td></tr>
<tr class="separator:aaebc34bea87a9681d0afdec9290bd7a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf1e576be07d323e13bcc577d8ea66eb"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#aaf1e576be07d323e13bcc577d8ea66eb">header4</a> {<a class="el" href="_m_i_m_e_parser_test_8cpp.html#a58f415e9b33e78373d5f96382ea799a5">BUILD_HEADER</a>(4)}</td></tr>
<tr class="separator:aaf1e576be07d323e13bcc577d8ea66eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70c2806e95e34f959a1696c89130e653"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a70c2806e95e34f959a1696c89130e653">header5</a> {<a class="el" href="_m_i_m_e_parser_test_8cpp.html#a58f415e9b33e78373d5f96382ea799a5">BUILD_HEADER</a>(5)}</td></tr>
<tr class="separator:a70c2806e95e34f959a1696c89130e653"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5efba422283a2b00d0c5252b7f09ddb"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#ad5efba422283a2b00d0c5252b7f09ddb">encodedPayload</a></td></tr>
<tr class="memdesc:ad5efba422283a2b00d0c5252b7f09ddb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expected output from encoding the above.  <a href="#ad5efba422283a2b00d0c5252b7f09ddb">More...</a><br /></td></tr>
<tr class="separator:ad5efba422283a2b00d0c5252b7f09ddb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3a3ff4ebc2b0d8cac9d34e4ceea8df4"><td class="memItemLeft" align="right" valign="top">const size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#ad3a3ff4ebc2b0d8cac9d34e4ceea8df4">encodedSize</a> = encodedPayload.size()</td></tr>
<tr class="memdesc:ad3a3ff4ebc2b0d8cac9d34e4ceea8df4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expected size.  <a href="#ad3a3ff4ebc2b0d8cac9d34e4ceea8df4">More...</a><br /></td></tr>
<tr class="separator:ad3a3ff4ebc2b0d8cac9d34e4ceea8df4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc68a534398e5901479c3df4ab1c538f"><td class="memItemLeft" align="right" valign="top">const std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#afc68a534398e5901479c3df4ab1c538f">headers1</a> = {<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a011f78c87d2fa18a4df369296689e8e1">header2</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#aaebc34bea87a9681d0afdec9290bd7a0">header3</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#aaf1e576be07d323e13bcc577d8ea66eb">header4</a>}</td></tr>
<tr class="memdesc:afc68a534398e5901479c3df4ab1c538f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Header sets for each payload.  <a href="#afc68a534398e5901479c3df4ab1c538f">More...</a><br /></td></tr>
<tr class="separator:afc68a534398e5901479c3df4ab1c538f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab046fcdf17061e463e5735ef24b78dbb"><td class="memItemLeft" align="right" valign="top">const std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#ab046fcdf17061e463e5735ef24b78dbb">headers2</a> = {<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a3875aaa301118dec8388cd8e5909f572">header1</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a70c2806e95e34f959a1696c89130e653">header5</a>}</td></tr>
<tr class="separator:ab046fcdf17061e463e5735ef24b78dbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ff18eac8da3ef1b3059f2997ab78eed"><td class="memItemLeft" align="right" valign="top">const std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a7ff18eac8da3ef1b3059f2997ab78eed">headers3</a> = {<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a3875aaa301118dec8388cd8e5909f572">header1</a>}</td></tr>
<tr class="separator:a7ff18eac8da3ef1b3059f2997ab78eed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad52607517a030041cf7ccc1b899d946d"><td class="memItemLeft" align="right" valign="top">const std::vector&lt; std::multimap&lt; std::string, std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#ad52607517a030041cf7ccc1b899d946d">expectedHeaders</a></td></tr>
<tr class="memdesc:ad52607517a030041cf7ccc1b899d946d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expected header values.  <a href="#ad52607517a030041cf7ccc1b899d946d">More...</a><br /></td></tr>
<tr class="separator:ad52607517a030041cf7ccc1b899d946d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0e0474be5741a699de1f3f67c0d3de9"><td class="memItemLeft" align="right" valign="top">const std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#ae0e0474be5741a699de1f3f67c0d3de9">expectedData</a> = {<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a32ef73694a87e975fd7d50b6896cb3e0">payload1</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#adc63cccf783c7d2dffb877b6f069014a">payload2</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a6f8b0a8e0d71cfc5883256a2c3b076f1">payload3</a>}</td></tr>
<tr class="memdesc:ae0e0474be5741a699de1f3f67c0d3de9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expected data (payloads).  <a href="#ae0e0474be5741a699de1f3f67c0d3de9">More...</a><br /></td></tr>
<tr class="separator:ae0e0474be5741a699de1f3f67c0d3de9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab4ffddf2a88c596aaf0c6fb119a89148"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4ffddf2a88c596aaf0c6fb119a89148">&#9670;&nbsp;</a></span>boundary</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::boundary {&quot;wooohooo&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>boundary </p>

</div>
</div>
<a id="ad5efba422283a2b00d0c5252b7f09ddb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5efba422283a2b00d0c5252b7f09ddb">&#9670;&nbsp;</a></span>encodedPayload</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::encodedPayload</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">        <span class="stringliteral">&quot;\r\n--wooohooo&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\ncontent-type: application/xml&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\nxyz-abc: 123243124&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\nholy-cow: tellmehow&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\n&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\nThe quick brown fox jumped over the lazy dog&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\n--wooohooo&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\ncontent-type: plain/text&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\nx-amzn-id: eg1782ge71g172ge1&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\n&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt &quot;</span></div><div class="line">        <span class="stringliteral">&quot;ut labore et dolore magna aliqua.\n Ut enim ad minim veniam, quis nostrud exercitation ullamco &quot;</span></div><div class="line">        <span class="stringliteral">&quot;laboris nisi ut aliquip ex ea commodo consequat.\n Duis aute irure dolor in reprehenderit in &quot;</span></div><div class="line">        <span class="stringliteral">&quot;voluptate velit esse cillum dolore eu fugiat nulla pariatur.\n Excepteur sint occaecat cupidatat &quot;</span></div><div class="line">        <span class="stringliteral">&quot;non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\n--wooohooo&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\ncontent-type: plain/text&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\n&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\nEnim diam vulputate ut pharetra sit amet aliquam id. Viverra accumsan in nisl nisi &quot;</span></div><div class="line">        <span class="stringliteral">&quot;scelerisque eu. Ipsum nunc aliquet bibendum enim facilisis gravida neque convallis a. &quot;</span></div><div class="line">        <span class="stringliteral">&quot;Ullamcorper dignissim cras tincidunt lobortis. Mi proin sed libero enim sed faucibus turpis in.&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\r\n&quot;</span></div><div class="line">        <span class="stringliteral">&quot;--wooohooo--\r\n&quot;</span></div></div><!-- fragment -->
<p>Expected output from encoding the above. </p>

</div>
</div>
<a id="ad3a3ff4ebc2b0d8cac9d34e4ceea8df4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3a3ff4ebc2b0d8cac9d34e4ceea8df4">&#9670;&nbsp;</a></span>encodedSize</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const size_t alexaClientSDK::avsCommon::test::MIMEParserTest::encodedSize = encodedPayload.size()</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Expected size. </p>

</div>
</div>
<a id="ae0e0474be5741a699de1f3f67c0d3de9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0e0474be5741a699de1f3f67c0d3de9">&#9670;&nbsp;</a></span>expectedData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::vector&lt;std::string&gt; alexaClientSDK::avsCommon::test::MIMEParserTest::expectedData = {<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a32ef73694a87e975fd7d50b6896cb3e0">payload1</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#adc63cccf783c7d2dffb877b6f069014a">payload2</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a6f8b0a8e0d71cfc5883256a2c3b076f1">payload3</a>}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Expected data (payloads). </p>

</div>
</div>
<a id="ad52607517a030041cf7ccc1b899d946d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad52607517a030041cf7ccc1b899d946d">&#9670;&nbsp;</a></span>expectedHeaders</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::vector&lt;std::multimap&lt;std::string, std::string&gt; &gt; alexaClientSDK::avsCommon::test::MIMEParserTest::expectedHeaders</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= {</div><div class="line">        {{<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a9ab72b9794089443ad201172b06b52ba">key2</a>, <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a57ca7aad2ecac42322df6c6657f4183e">value2</a>}, {<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#afd8c46ae59258c03b69facb5bc092088">key3</a>, <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a2e3343e5260a8a0f027a4c9a53ea741f">value3</a>}, {<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#abb2d0d65716c6f741bc35ef4f1f9dae5">key4</a>, <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#ae64d1dfd77c73e02d9d86c2ec755bf13">value4</a>}},</div><div class="line">        {{<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a7ff6a83622c690df9327c1623c552a5e">key1</a>, <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a8a61f0ee5ed4eb4d31db45edc54f8e62">value1</a>}, {<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a2db60929fadfce737e4fe8e3b9dd8202">key5</a>, <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a4511e85726f58806f2ca9ac4fc7475a4">value5</a>}},</div><div class="line">        {{<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a7ff6a83622c690df9327c1623c552a5e">key1</a>, <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a8a61f0ee5ed4eb4d31db45edc54f8e62">value1</a>}}}</div></div><!-- fragment -->
<p>Expected header values. </p>

</div>
</div>
<a id="a3875aaa301118dec8388cd8e5909f572"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3875aaa301118dec8388cd8e5909f572">&#9670;&nbsp;</a></span>header1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::header1 {<a class="el" href="_m_i_m_e_parser_test_8cpp.html#a58f415e9b33e78373d5f96382ea799a5">BUILD_HEADER</a>(1)}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a011f78c87d2fa18a4df369296689e8e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a011f78c87d2fa18a4df369296689e8e1">&#9670;&nbsp;</a></span>header2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::header2 {<a class="el" href="_m_i_m_e_parser_test_8cpp.html#a58f415e9b33e78373d5f96382ea799a5">BUILD_HEADER</a>(2)}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaebc34bea87a9681d0afdec9290bd7a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaebc34bea87a9681d0afdec9290bd7a0">&#9670;&nbsp;</a></span>header3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::header3 {<a class="el" href="_m_i_m_e_parser_test_8cpp.html#a58f415e9b33e78373d5f96382ea799a5">BUILD_HEADER</a>(3)}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaf1e576be07d323e13bcc577d8ea66eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf1e576be07d323e13bcc577d8ea66eb">&#9670;&nbsp;</a></span>header4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::header4 {<a class="el" href="_m_i_m_e_parser_test_8cpp.html#a58f415e9b33e78373d5f96382ea799a5">BUILD_HEADER</a>(4)}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a70c2806e95e34f959a1696c89130e653"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70c2806e95e34f959a1696c89130e653">&#9670;&nbsp;</a></span>header5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::header5 {<a class="el" href="_m_i_m_e_parser_test_8cpp.html#a58f415e9b33e78373d5f96382ea799a5">BUILD_HEADER</a>(5)}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afc68a534398e5901479c3df4ab1c538f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc68a534398e5901479c3df4ab1c538f">&#9670;&nbsp;</a></span>headers1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::vector&lt;std::string&gt; alexaClientSDK::avsCommon::test::MIMEParserTest::headers1 = {<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a011f78c87d2fa18a4df369296689e8e1">header2</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#aaebc34bea87a9681d0afdec9290bd7a0">header3</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#aaf1e576be07d323e13bcc577d8ea66eb">header4</a>}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Header sets for each payload. </p>

</div>
</div>
<a id="ab046fcdf17061e463e5735ef24b78dbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab046fcdf17061e463e5735ef24b78dbb">&#9670;&nbsp;</a></span>headers2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::vector&lt;std::string&gt; alexaClientSDK::avsCommon::test::MIMEParserTest::headers2 = {<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a3875aaa301118dec8388cd8e5909f572">header1</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a70c2806e95e34f959a1696c89130e653">header5</a>}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7ff18eac8da3ef1b3059f2997ab78eed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ff18eac8da3ef1b3059f2997ab78eed">&#9670;&nbsp;</a></span>headers3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::vector&lt;std::string&gt; alexaClientSDK::avsCommon::test::MIMEParserTest::headers3 = {<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a3875aaa301118dec8388cd8e5909f572">header1</a>}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7ff6a83622c690df9327c1623c552a5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ff6a83622c690df9327c1623c552a5e">&#9670;&nbsp;</a></span>key1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::key1 {&quot;content-type&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9ab72b9794089443ad201172b06b52ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ab72b9794089443ad201172b06b52ba">&#9670;&nbsp;</a></span>key2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::key2 {&quot;content-type&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afd8c46ae59258c03b69facb5bc092088"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd8c46ae59258c03b69facb5bc092088">&#9670;&nbsp;</a></span>key3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::key3 {&quot;xyz-abc&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abb2d0d65716c6f741bc35ef4f1f9dae5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb2d0d65716c6f741bc35ef4f1f9dae5">&#9670;&nbsp;</a></span>key4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::key4 {&quot;holy-cow&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2db60929fadfce737e4fe8e3b9dd8202"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2db60929fadfce737e4fe8e3b9dd8202">&#9670;&nbsp;</a></span>key5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::key5 {&quot;x-amzn-id&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a32ef73694a87e975fd7d50b6896cb3e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32ef73694a87e975fd7d50b6896cb3e0">&#9670;&nbsp;</a></span>payload1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::payload1 {&quot;The quick brown fox jumped over the lazy dog&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>payloads </p>

</div>
</div>
<a id="adc63cccf783c7d2dffb877b6f069014a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc63cccf783c7d2dffb877b6f069014a">&#9670;&nbsp;</a></span>payload2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::payload2</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">{</div><div class="line">        <span class="stringliteral">&quot;Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod &quot;</span></div><div class="line">        <span class="stringliteral">&quot;tempor incididunt ut labore et dolore magna aliqua.\n Ut enim ad minim &quot;</span></div><div class="line">        <span class="stringliteral">&quot;veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea &quot;</span></div><div class="line">        <span class="stringliteral">&quot;commodo consequat.\n Duis aute irure dolor in reprehenderit in &quot;</span></div><div class="line">        <span class="stringliteral">&quot;voluptate velit esse cillum dolore eu fugiat nulla pariatur.\n &quot;</span></div><div class="line">        <span class="stringliteral">&quot;Excepteur sint occaecat cupidatat non proident, sunt in culpa qui &quot;</span></div><div class="line">        <span class="stringliteral">&quot;officia deserunt mollit anim id est laborum.&quot;</span>}</div></div><!-- fragment -->
</div>
</div>
<a id="a6f8b0a8e0d71cfc5883256a2c3b076f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f8b0a8e0d71cfc5883256a2c3b076f1">&#9670;&nbsp;</a></span>payload3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::payload3</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">{</div><div class="line">        <span class="stringliteral">&quot;Enim diam vulputate ut pharetra sit amet aliquam id. Viverra accumsan &quot;</span></div><div class="line">        <span class="stringliteral">&quot;in nisl nisi scelerisque eu. Ipsum nunc aliquet bibendum enim facilisis &quot;</span></div><div class="line">        <span class="stringliteral">&quot;gravida neque convallis a. Ullamcorper dignissim cras tincidunt &quot;</span></div><div class="line">        <span class="stringliteral">&quot;lobortis. Mi proin sed libero enim sed faucibus turpis in.&quot;</span>}</div></div><!-- fragment -->
</div>
</div>
<a id="a8a61f0ee5ed4eb4d31db45edc54f8e62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a61f0ee5ed4eb4d31db45edc54f8e62">&#9670;&nbsp;</a></span>value1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::value1 {&quot;plain/text&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a57ca7aad2ecac42322df6c6657f4183e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57ca7aad2ecac42322df6c6657f4183e">&#9670;&nbsp;</a></span>value2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::value2 {&quot;application/xml&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2e3343e5260a8a0f027a4c9a53ea741f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e3343e5260a8a0f027a4c9a53ea741f">&#9670;&nbsp;</a></span>value3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::value3 {&quot;123243124&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae64d1dfd77c73e02d9d86c2ec755bf13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae64d1dfd77c73e02d9d86c2ec755bf13">&#9670;&nbsp;</a></span>value4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::value4 {&quot;tellmehow&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4511e85726f58806f2ca9ac4fc7475a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4511e85726f58806f2ca9ac4fc7475a4">&#9670;&nbsp;</a></span>value5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::test::MIMEParserTest::value5 {&quot;eg1782ge71g172ge1&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/test/<a class="el" href="_m_i_m_e_parser_test_8cpp.html">MIMEParserTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
